# -*-coding: utf-8- -*-
'''
Create on 2020/04/14
@author: Atwood Zhang

https://www.cnblogs.com/cainiaoxuexi2017-ZYA/p/12695405.html
2021/0609
'''

import numpy as np
import matplotlib.pyplot as plt
import mpl_toolkits.mplot3d

x = np.array([1, 2, 4, 5, 6])
y = np.array([2, 3, 4, 5, 6])
z = np.array([1, 2, 4, 5, 6])

ax = plt.subplot(projection = '3d')  # 创建一个三维的绘图工程
ax.set_title('3d_image_show')  # 设置本图名称
ax.scatter(x, y, z, c = 'r')   # 绘制数据点 c: 'r'红色，'y'黄色，等颜色

ax.set_xlabel('X')  # 设置x坐标轴
ax.set_ylabel('Y')  # 设置y坐标轴
ax.set_zlabel('Z')  # 设置z坐标轴

plt.show()
